Bug 1740996 - Remove python2-rosinstall_generator
Summary: Remove python2-rosinstall_generator
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rosinstall_generator
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-14 05:02 UTC by Lumír Balhar
Modified: 2019-09-18 13:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 13:35:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-14 05:02:16 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-rosinstall_generator's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-rosinstall_generator.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-08-21 13:20:54 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Scott K Logan 2019-08-28 22:07:36 UTC
This package is primarily used as a command line tool, and should therefore be converted to a python3-only package in rawhide.

We will need to coordinate with the fawkes-devenv package which depends on this. Alternatively, they could change their dependency to `%{_bindir}/rosinstall_generator` instead of `python2-rosinstall_generator`.

Comment 3 Lumír Balhar 2019-08-29 04:26:25 UTC
python2-rosinstall_generator can be removed from rawhide because nothing depends on it.

Comment 4 Lumír Balhar 2019-09-05 10:37:49 UTC
Do you need any help with that?

Comment 5 Lumír Balhar 2019-09-13 10:23:24 UTC
Miro, can we remove the subpackage, please?

Comment 6 Miro Hrončok 2019-09-13 10:40:45 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-rosinstall_generator were marked for removal:

python2-rosinstall_generator

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31, it is past Beta Freeze.
Please don't do this for Fedora 30/29 either, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 7 Ankur Sinha (FranciscoD) 2019-09-13 11:59:01 UTC
Oh, so fawkes already seems to use python3-rosinstall_generator in the spec, so there should be no fallout from only using py3 here:

https://src.fedoraproject.org/rpms/fawkes/blob/master/f/fawkes.spec

I've opened a PR here. Scott, could you take a quick look please?
https://src.fedoraproject.org/rpms/python-rosinstall_generator/pull-request/1

Comment 8 Ankur Sinha (FranciscoD) 2019-09-18 13:35:14 UTC
Thanks Miro,

Merged, built.


Note You need to log in before you can comment on or make changes to this bug.